Retrieve successfully created Beneficiaries
curl --request GET \
--url https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/mass-beneficiaries/{mass_beneficiary_id}/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"request_index": 123,
"beneficiary_id": "<string>",
"links": {
"beneficiary_href": "<string>"
}
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Executing Mass Beneficiaries
Retrieve successfully created Beneficiaries
GET
/
mass-beneficiaries
/
{mass_beneficiary_id}
/
beneficiaries
Retrieve successfully created Beneficiaries
View all the created beneficiaries in a mass beneficiaries instruction.
Please note that if the mass beneficiaries status is “pending” then an empty list will be returned.
Authorizations
An API Key.
Headers
The access token
Path Parameters
The unique ID of the mass beneficiary
Query Parameters
The ID of the client
The desired page number for pagination. By default is 1.
The number of items per page for pagination. By default is 50.